summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorng0 <ng0@n0.is>2019-12-15 11:45:21 +0000
committerng0 <ng0@n0.is>2019-12-15 11:45:21 +0000
commit9cf25ee6eb849b78b5f0984dd17d73029fd1757c (patch)
treef0b844e80aba38a721412f23fb52a79e89cb115f /bootstrap
parent4c0107df95949a6cbc1170f0cf925ce8a72c1371 (diff)
downloadtaler-util-9cf25ee6eb849b78b5f0984dd17d73029fd1757c.tar.gz
taler-util-9cf25ee6eb849b78b5f0984dd17d73029fd1757c.tar.bz2
taler-util-9cf25ee6eb849b78b5f0984dd17d73029fd1757c.zip
bump submodule, add tox detection.
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap17
1 files changed, 17 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..dcc5ae3
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Bootstrap the repository. Used when the repository is checked out from git.
+# When using the source tarball, running this script is not necessary.
+
+set -eu
+
+if ! git --version >/dev/null; then
+ echo "git not installed"
+ exit 1
+fi
+
+git submodule update --init
+git submodule update --recursive
+git submodule sync
+cp build-system/taler-build-scripts/configure ./configure || true
+cp build-system/taler-build-scripts/conf/.style.yapf .style.yapf || true